Name:           gnomesword           
Version:        2.1.2
Release:        2.3%{?dist}
Summary:        GNOME-based Bible research tool

Group:          Applications/Text
License:        GPL
URL:            http://gnomesword.sourceforge.net/
Source0:        http://easynews.dl.sourceforge.net/sourceforge/gnomesword/gnomesword-%{version}.tar.gz
Patch0:         gnomesword-2.1.2-gettext64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  sed >= 3.95
BuildRequires:  sword-devel >= 1.5.8
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-spell
BuildRequires:  gtkhtml3-devel
BuildRequires:  curl-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  scrollkeeper
# currently broken on x86_64
# ExcludeArch:    x86_64
# for x86_64
%ifarch x86_64
BuildRequires:  libtool automake autoconf
%endif
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper
Obsoletes:      gnomesword2
Provides:       gnomesword2

%description
Gnomesword is a Bible study application for GNOME, a graphical desktop
enviroment which is available for several Unix and Linux flavors. It is based
on SWORD by the CrossWire Bible Society, a framework providing the possibility
to study the Bible and additional information like commentaries, dictionaries
and other texts using your computer.

%prep
%setup -q
%ifarch x86_64
%patch0 -p1 -b .gettext64 
%endif
%{__sed} -i 's?\r??' doc/help/C/legal.xml
%{__sed} -i 's?\r??' doc/help/fr/legal.xml

%build
%ifarch x86_64
libtoolize -c --force && aclocal-1.9 && autoheader && automake-1.9 && autoconf
%endif
%configure
make %{?_smp_mflags}


%install
rm -rf %buildroot
cp gnomesword.desktop gnomesword.desktop.orig
sed -e s?"^Categories=.*"?"Categories=GNOME;Application;Other;"? < gnomesword.desktop.orig > gnomesword.desktop
make install DESTDIR=%buildroot

desktop-file-install %buildroot%_datadir/applications/gnomesword.desktop \
--vendor=fedora \
--add-category=X-Fedora \
--dir=%buildroot%_datadir/applications \
--copy-name-to-generic-name \
--delete-original

# package docs with macro
rm -rf %buildroot%_datadir/doc/%{name}

%find_lang %{name} --with-gnome
echo "%dir %_datadir/omf/gnomesword" >> gnomesword.lang
echo "%_datadir/omf/gnomesword/gnomesword-manual-C.omf" >> gnomesword.lang
echo "%lang(fr) %_datadir/omf/gnomesword/gnomesword-manual-fr.omf" >> gnomesword.lang

%clean
rm -rf %buildroot

%post -p /usr/bin/scrollkeeper-update

%postun -p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog NEWS README TODO
%_bindir/gnomesword2
%_datadir/pixmaps/gnomesword
%_datadir/applications/fedora-gnomesword.desktop


%changelog
* Thu Sep 15 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2.3
- trying patch suggested by Tom 'spot' Callaway to fix x86_64 bug
- 160186
- libtool, aclocal, autoheader, automake, autoconf on x86_64

* Sun Jun 12 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2.1
- Exclude x86_64 for now

* Thu Jun 09 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2
- added --copy-name-to-generic-name to desktop-file-install
- fixed line break packaging error

* Mon Jun 06 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-1
- Initial cvs checkin for Fedora Extras
